Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236299 - [rhts] connectathon locking test fails
Summary: [rhts] connectathon locking test fails
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 22:12 UTC by Don Zickus
Modified: 2009-03-24 20:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 20:11:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
tethereal capture (as done by rhts) (deleted)
2007-04-12 22:14 UTC, Don Zickus
no flags Details

Description Don Zickus 2007-04-12 22:12:37 UTC
Description of problem:

When running connectathon through the kernel workflow, the locking tests seem to
fail (sporadically) on version 2 and 3 for both udp and tcp for a rhel-5 server
and rhel-4 server.  version 4 seems ok. 

rhts recipe 73388 has multipe failures all with the following descriptions:
Starting nfsvers=2_udp -l:Thu Apr 12 17:11:02 EDT 2007
./server -l -F nfs -onfsvers=2,udp -p /export/home rhel5-nfs
No log handling enabled - turning on stderr logging
Cannot find module (IP-MIB): At line 0 in (none)
Cannot find module (IF-MIB): At line 0 in (none)
Cannot find module (TCP-MIB): At line 0 in (none)
Cannot find module (UDP-MIB): At line 0 in (none)
Cannot find module (SNMPv2-MIB): At line 0 in (none)
Cannot find module (SNMPv2-SMI): At line 0 in (none)
Cannot find module (UCD-SNMP-MIB): At line 0 in (none)
Start tests on path /mnt/rhel5-nfs/ibm-defiant.test [y/n]? 
sh ./runtests  -l -t /mnt/rhel5-nfs/ibm-defiant.test

Starting LOCKING tests: test directory /mnt/rhel5-nfs/ibm-defiant.test (arg: -t)
Capturing on eth0

Testing native post-LFS locking

Creating parent/child synchronization pipes.

Test #1 - Test regions of an unlocked file.
	Parent: 1.1  - F_TEST  [       0,       1] PASSED.
	Parent: 1.2  - F_TEST  [       0,  ENDING] PASSED.
	Parent: 1.3  - F_TEST  [       0,7fffffff] PASSED.
	Parent: 1.4  - F_TEST  [       1,       1] PASSED.
	Parent: 1.5  - F_TEST  [       1,  ENDING] PASSED.
	Parent: 1.6  - F_TEST  [       1,7fffffff] PASSED.
	Parent: 1.7  - F_TEST  [7fffffff,       1] PASSED.
	Parent: 1.8  - F_TEST  [7fffffff,  ENDING] PASSED.
	Parent: 1.9  - F_TEST  [7fffffff,7fffffff] PASSED.

Test #2 - Try to lock the whole file.
	Parent: 2.0  - F_TLOCK [       0,  ENDING] FAILED!
	Parent: **** Expected success, returned errno=37...
	Parent: **** Probably implementation error.

** PARENT pass 1 results: 9/9 pass, 0/0 warn, 1/1 fail (pass/total).

**  CHILD pass 1 results: 0/0 pass, 0/0 warn, 0/0 fail (pass/total).
lock tests failed
Tests failed, leaving /mnt/rhel5-nfs mounted
50 packets captured

Version-Release number of selected component (if applicable):
kernel-2.6.18-14.el5 on a RHEL-5 GOLD distro

How reproducible:
occasionally

Comment 1 Don Zickus 2007-04-12 22:14:42 UTC
Created attachment 152511 [details]
tethereal capture (as done by rhts)

Comment 2 Steve Dickson 2008-05-22 17:44:12 UTC
Are we still seein this?

Comment 3 Peter Staubach 2009-03-24 20:11:35 UTC
I don't see this and it doesn't seem to be happening in RHTS anymore,
so closing.  It is is seen again, then we can either reopen this bz
or open a new one.


Note You need to log in before you can comment on or make changes to this bug.